# eric3.VCS.subversionPackage.NewProjectDialog

Module implementing the Subversion Options Dialog for a new project from the repository.

### Classes

SvnNewProjectOptionsDialog | Class implementing the Options Dialog for a new project from the repository.

### Functions

None

## SvnNewProjectOptionsDialog

Class implementing the Options Dialog for a new project from the repository.

### Derived from

SvnNewProjectOptionsForm

### Methods

SvnNewProjectOptionsDialog | Constructor
getData | Public slot to retrieve the data entered into the dialog.
handleDirectory | Private slot to display a directory selection dialog.
handleLayoutToggled | Private slot to handle the change of the layout checkbox.
handleProjectDir | Private slot to display a directory selection dialog.
handleProtocol | Private slot to switch the status of the directory selection button.

### SvnNewProjectOptionsDialog (Constructor)

SvnNewProjectOptionsDialog(parent=None)

Constructor

parent
  parent widget (QWidget)

### SvnNewProjectOptionsDialog.getData

getData()

Public slot to retrieve the data entered into the dialog.

Returns:
  a tuple of a string (project directory) and a dictionary containing the data entered.

### SvnNewProjectOptionsDialog.handleDirectory

handleDirectory()

Private slot to display a directory selection dialog.

### SvnNewProjectOptionsDialog.handleLayoutToggled

handleLayoutToggled(checked)

Private slot to handle the change of the layout checkbox.

checked
  flag indicating the state of the checkbox (boolean)

### SvnNewProjectOptionsDialog.handleProjectDir

handleProjectDir()

Private slot to display a directory selection dialog.

### SvnNewProjectOptionsDialog.handleProtocol

handleProtocol(protocol)

Private slot to switch the status of the directory selection button.

Up